import { MatLegacyDialogRef as MatDialogRef } from "@angular/material/legacy-dialog";
import { WidgetDto } from "@smallstack/axios-api-client";
import { WidgetRendererOptions } from "@smallstack/widget-core";
import * as i0 from "@angular/core";
export interface ComponentDialogData {
    cmsComponent: WidgetDto;
    showCloseBtn?: boolean;
    widgetRendererOptions?: WidgetRendererOptions;
}
export declare class ComponentDialogComponent {
    data: ComponentDialogData;
    dialogRef: MatDialogRef<ComponentDialogComponent>;
    constructor(data: ComponentDialogData, dialogRef: MatDialogRef<ComponentDialogComponent>);
    close(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ComponentDialogComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ComponentDialogComponent, "ng-component", never, {}, {}, never, never, false, never>;
}
