import { ScrollTopService } from "@smallstack/common-components";
import { BaseWidgetComponent, SocketAwareWidget } from "@smallstack/widget-core";
import { BehaviorSubject } from "rxjs";
import * as i0 from "@angular/core";
export declare class ShrinkingHeaderWidgetComponent extends BaseWidgetComponent implements SocketAwareWidget {
    private scrollTopService;
    protected manualShrunk$: BehaviorSubject<boolean>;
    protected height$: import("rxjs").Observable<number>;
    protected iconTop$: import("rxjs").Observable<number>;
    protected text$: import("rxjs").Observable<any>;
    constructor(scrollTopService: ScrollTopService);
    handleSocketData(socketName: string, data?: unknown): Promise<void>;
    static ɵfac: i0.ɵɵFactoryDeclaration<ShrinkingHeaderWidgetComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ShrinkingHeaderWidgetComponent, "smallstack-shrinking-header-widget", never, {}, {}, never, never, false, never>;
}
